routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Route::get('/online-shop', function (){
    return view('Template/Home');
});


Route::group(['prefix'=>'/online-shop'], function(){

    Route::resource('/User','UserController');
    Route::resource('/Book','BookController');
    Route::resource('/Category','CategoryController');
    Route::resource('/StatusOrder','OrderController');

    Route::get('/User/search/email','UserController@search')->name('User.search');
    Route::get('/StatusOrder/search/invoice_number','OrderController@search')->name('StatusOrder.search');
    Route::get('/Book/search/title','BookController@search')->name('Book.search');
    Route::get('/Category/search/category_name','CategoryController@search')->name('Category.search');
});

resources/views/StatusOrder/Show.blade.php
@extends('Template.Home')
    @section('title')
        Detail Order
    @endsection

@section('content')
    <h1>Detail Order </h1>
        <hr>
            <br>
            <div class="card bg-white border-info" style="max-witdh: 70%; margin: auto; min-height: 400px;">
                <div class="row">
                    <div class="col-md-12 text-center">
                        <h3>Username : {{ $StatusOrder->User->username}} </h3>
                        <h3>ID : {{$StatusOrder->id }}</h3>
                    </div>
                </div>
                <hr>
                <br>

                <div class="row">
                    <div class="col-md-2 offset-md-2 col-sm-3 offset-sm-2">
                        Invoice Number
                    </div>
                    <div class="col-md-4 col-sm-4">
                        {{ $StatusOrder->invoice_number }}
                    </div>
                    <br>
                </div>

                <div class="row">
                    <div class="col-md-2 offset-md-2 col-sm-3 offset-sm-2">
                        Total Price
                    </div>
                    <div class="col-md-4 col-sm-4">
                        {{ $StatusOrder->total_price }}
                    </div>
                    <br>
                </div>


                <div class="row">
                    <div class="col-md-2 offset-md-2 col-sm-3 offset-sm-2">
                        Status
                    </div>
                    <div class="col-md-4 col-sm-4">
                        @if ($StatusOrder['status'] == 'PROCESS')
                        <div class="p-1 mb-2 bg-warning text-dark">{{ $StatusOrder->status }}</div>
                        @elseif ($StatusOrder['status'] == 'SUBMIT')
                        <div class="p-1 mb-2 bg-warning text-dark">{{ $StatusOrder->status }}</div>
                        @elseif ($StatusOrder['status'] == 'FINISH')
                        <div class="p-1 mb-2 bg-warning text-dark">{{ $StatusOrder->status }}</div>
                        @elseif ($StatusOrder['status'] == 'CANCEL')
                        <div class="p-1 mb-2 bg-warning text-dark">{{ $StatusOrder->status }}</div>
                        @endif
                    </div>
                    <br>
                </div>
            </div>
@endsection

resources/views/StatusOrder/create.blade.php
@extends('Template.Home')
@section('title')
    Create Order
@endsection

@section('content')
    <div class="container">
        <h3>Create Order</h3>
        <hr>
            <div class="card border-primary" style="max-width: 70%; margin: auto; margin-top: 40px;">
                <div class="card-header bg-primary text-white">
                    <h5>Create a New Order</h5>
                </div>

                <div class="card-body">
                    <div class="contrainer text-primary">
                        <form action="{{ route('StatusOrder.store') }}" class="form-group" method="POST" enctype="multipart/form-data">
                            @csrf
                                <div class="row">
                                    <div class="col-md-3">
                                        <label for="username">Username</label>
                                    </div>
                                    <div class="col-md-8">
                                        <select name="user_id" id="status" class="form-control">
                                            @foreach($User as $users)
                                            <option value="{{ $users->id }}">{{$users->username}}</option>
                                            @endforeach
                                        </select>
                                        {{($errors->has('user_id')) ? $errors->first('user_id') : ""}}
                                    </div>
                                </div>
                                <br>

                                <div class="row">
                                    <div class="col-md-3">
                                        <label for="invoice_number">InvoiceNumber</label>
                                    </div>
                                    <div class="col-md-8">
                                        <input type="text" name="invoice_number" id="invoice_number" class="form-control">
                                        {{($errors->has('invoice_number')) ? $errors->first('invoice_number') : ""}}
                                    </div>
                                </div>
                                <br>

                                <div class="row">
                                    <div class="col-md-3">
                                        <label for="total_price">Total Price</label>
                                    </div>
                                    <div class="col-md-8">
                                        <input type="text" name="total_price" id="total_price" class="form-control">
                                        {{($errors->has('total_price')) ? $errors->first('total_price') : ""}}
                                    </div>
                                </div>
                                <br>

                                <div class="row">
                                    <div class="col-md-3">
                                        <label for="status">status</label>
                                    </div>
                                    <div class="col-md-8">
                                        <select name="status" id="status" class="form-control">
                                            <option value="SUBMIT">SUBMIT</option>
                                            <option value="PROCESS">PROCESS</option>
                                            <option value="FINISH">FINISH</option>
                                            <option value="CANCEL">CANCEL</option>
                                        </select>
                                        {{($errors->has('status')) ? $errors->first('status') : ""}}
                                    </div>
                                </div>
                                <br>
                                <div class="row">
                                    <div class="col-md-3 offset-md-5 offset-sm-4">
                                        <button type="submit" class="btn btn-outline-primary">Create</button>
                                    </div>
                                </div>
                        </form>
                    </div>
                </div>
            </div>
    </div>
@endsection

resources/views/StatusOrder/edit.blade.php
@extends('Template.Home')
    @section('title')
        Edit Order
    @endsection

@section('content')
    <div class="container">
        <h3>Form Edit Order</h3>
        <hr>

            <div class="card border-primary" style="max-width: 70%; margin:auto; margin-top:40px;">
                <div class="card-header bg-primary text-white">

                    <h5>ID: {{ $StatusOrder->invoice_number }}</h5>
                    <h5>Username : {{ $StatusOrder->User->username }}</h5>
                </div>

                <div class="card-body">
                    <div class="container text-primary">
                        <form action="{{ route('StatusOrder.update', $StatusOrder['id']) }}" method="POST" class="form-group"
                        enctype="multipart/form-data">

                        @csrf
                        @method('PUT')
                            <div class="row">
                            <div class="col-md-3">
                                <label for="invoice_number" class="text-primary">Invoice Number</label>
                            </div>

                            <div class="col-md-8">
                                <input type="text" name="invoice_number" id="invoice_number" value="{{ $StatusOrder['invoice_number'] }}">
                                {{ ($errors->has('invoice_number')) ? $errors->first('invoice_number') : "" }}
                            </div>
                        </div>
                        <br>

                        <div class="row">
                            <div class="col-md-3">
                                <label for="username">Username</label>
                            </div>

                            <div class="col-md-8">
                                <select class="form-control" name="user_id" id="status">
                                    @foreach($User as $users)
                                    <option value=" {{ $users->id }}"> {{ $users->username }} </option>
                                    @endforeach
                                </select>
                                {{($errors->has('user_id')) ? $errors->first('user_id') : ""}}
                            </div>
                        </div>
                        <br>

                        <div class="row">
                            <div class="col-md-3">
                                <label for="total_price" class="text-primary">Total Price</label>
                            </div>
                            <div class="col-md-8">
                                <input type="text" class="form-control" name="total_price" id="total_price" value="{{ $StatusOrder['total_price'] }}">
                                {{ ($errors->has('total_price')) ? $errors->first('total_price') : ""}}
                            </div>
                        </div>
                        <br>

                        
                        <div class="row">
                            <div class="col-md-3">
                                <label for="status" class="text-primary">Status</label>
                            </div>
                            <div class="col-md-8">
                                <select class="form-control" name="status" id="status">
                                    <option value="SUBMIT">SUBMIT</option>
                                    <option value="PROCESS">PROCESS</option>
                                    <option value="CANCEL">CANCEL</option>
                                    <option value="FINISH">FINISH</option>
                                </select>
                                {{ ($errors->has('status')) ? $errors-first('status') : "" }}
                            </div>
                        </div>
                        <br>

                        <div class="row">
                            <div class="col-md-3 offset-md-5 offset-md-5">
                                <button type="submit" class="btn btn-outline-primary">Update</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
    </div>
@endsection

resources/views/StatusOrder/index.blade.php
@extends('Template.Home')
            @section('title')
                List Order
            @endsection
        @section('css')
        <style>
            body{
                padding-top: 30px;
            }

            th, td{
                padding: 10px;
                text-align: center;
            }

            td a{
                margin: 3px;
                align-content: center;
                color: white;
            }

            td a:hover{
                text-decoration: none;
            }

            td button{
                margin-top: 5px;
                cursor: pointer;
            }
        </style>
        @endsection
        @section('content')
            <div class="container">
                <h3> List Order</h3><hr>
                    <div class="row">
                        <div class="col-md-2">
                            <a class="btn btn-outline-primary" href=" {{ route('StatusOrder.create')}} ">
                                <span data-feather="plus-circle"></span>
                                New<span class="sr-only">(current)</span>
                            </a>
                        </div>

                        <div class="col-md-8">
                            <form action="{{ route('StatusOrder.search') }}" class="form-inline" method="GET">
                                <div class="form-group mx-sm-3 mb-2">
                                    <input class="form-control" name="searching" placeholder="Search InvoiceNumber ..." value="{{ old('searching') }}" >
                                </div>
                                <button class="btn btn-primary mb-2" type="submit">Search</button>
                            </form>
                        </div>
                    </div>
                    <br>

                    <div class="table-responsive">
                        <table class="table table=striped">
                            <thead>
                                <tr class="table-primary">
                                    <th scope="col">ID</th>
                                    <th scope="col">Username</th>
                                    <th scope="col">InvoiceNumber</th>
                                    <th scope="col">Total Price</th>
                                    <th scope="col">Status</th>
                                    <th scope="col">Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach ($StatusOrder as $order)
                                    <tr>
                                        <td>{{ $order->id }}</td>
                                        <td>{{ $order->User->username }}</td>
                                        <td>{{ $order->invoice_number }}</td>
                                        <td>{{ $order->total_price }}</td>
                                        <td>
                                            @if ($order['status'] == 'PROCESS')
                                            <div class="p-1 mb-2 bg-warning text-dark">{{ $order->status }}</div>

                                            @elseif($order['status'] == 'SUBMIT')
                                            <div class="p-1 mb-2 bg-warning text-white">{{ $order->status }}</div>

                                            @elseif($order['status'] == 'FINISH')
                                            <div class="p-1 mb-2 bg-warning text-purple">{{ $order->status }}</div>

                                            @elseif($order['status'] == 'CANCEL')
                                            <div class="p-1 mb-2 bg-warning text-grey">{{ $order->status }}</div>
                                            @endif
                                        </td>
                                        <td>
                                        <a class="btn-sm btn-primary" href="{{ route('StatusOrder.show', ['id'=>$order['id']]) }}">
                                            <span data-feather="eye"></span>
                                            Detail <span class="sr-only">(current)</span>
                                        </a>

                                        <a class="btn-sm btn-success d-inline" href="{{route('StatusOrder.edit',['id'=>$order['id']]) }}">
                                            <span data-feather="edit-2"></span>
                                            Edit <span class="sr-only">(current)</span>
                                        </a>
                                        <form class="d-inline" onsubmit="return confirm('Delete This User Permanently ?')"
                                        action="{{route ('StatusOrder.destroy', ['id'=>$order['id']]) }}" method="POST">
                                            @csrf
                                                @method('DELETE')
                                                    <button type="submit" class="btn-sm btn-danger" value="Delete">
                                                        <span data-feather="trash"></span>
                                                        Delete
                                                        <span class="sr-only">(current)</span>
                                                    </button>
                                        </form>
                                    </td>
                                </tr>
                            @endforeach
                        </tbody>
                    </table>

                    {{ $StatusOrder->links()}}
                </div>
            </div>
        @endsection